﻿@model SSTC.Models.ProjectMembersDTO
@{
    ViewBag.Title = "Edycja pracowników";
}

<h2>Edycja pracowników projektu</h2>

@using (@Html.BeginForm("EditMembers", "Projects", Model, FormMethod.Post))
{
    <div class="panel panel-default">
        <table class="table table-bordered table-condensed table-striped">
            @if (Model.Members.Count != 0)
            {
                <tr id=@("projectHeader")>
                    <th></th>
                    <th><b>Imie: </b></th>
                    <th><b>Nazwisko: </b></th>
                </tr>

                foreach (var el in Model.Members)
                {
                    <tr id=@("projectStatic" + el .User.Id)>
                        <td>
                            <span id=@("inProject" + el.User.Id)>@Html.CheckBoxFor(model => el.InProject, new { @class = "form-control" })</span>
                        </td>
                        <td>
                            <span id=@("User.Id" + el.User.Id)>@el.User.Name</span>
                            <span id=@("User.Ids" + el.User.Id)>@Html.Hidden("User.userId", el.User.Id, new { @class = "form-control" })</span>
                        </td>
                        <td>
                            <span id=@("priceStatic" + el.User.Id)>@el.User.Surname</span>
                        </td>
                    </tr>
                }
            }
            else
            {
                <tr id=@("project")>
                    <td style="border:none"></td>
                    <td style='border:none;'>
                        <span><b>BRAK UŻYTKOWNIKÓW W TEJ KATEGORII</b></span><br />
                    </td>
                </tr>
            }
        </table>
        <br />
    </div>
    <input class="btn btn-primary pull-right" type="button" value="Wróć" onclick="location.href='@Url.Action("BackToProjects", "Projects" , new { Id = Model.ProjectId})'" />
    <input class="btn btn-group btn-sm btn-success" id=@("save" + Model.ProjectId) type="submit" value="Zapisz" />
}
